## Vaucanson, a generic library for finite state machines.
## Copyright (C) 2007, 2008 The Vaucanson Group.
##
## This program is free software; you can redistribute it and/or
## modify it under the terms of the GNU General Public License
## as published by the Free Software Foundation; either version 2
## of the License, or (at your option) any later version.
##
## The complete GNU General Public Licence Notice can be found as the
## `COPYING' file in the root directory.
##
## The Vaucanson Group consists of people listed in the `AUTHORS' file.
##
## NOTE: this file was generated automatically with generate_headers.sh

GENERIC_CONTEXTS = \
  vaucanson/boolean_automaton.hh\
  vaucanson/contexts/listg/boolean_automaton.hh\
  vaucanson/contexts/bmig/boolean_automaton.hh\
  vaucanson/boolean_automaton_structures.hh\
  vaucanson/contexts/listg/boolean_automaton_structures.hh\
  vaucanson/contexts/bmig/boolean_automaton_structures.hh\
  vaucanson/boolean_transducer.hh\
  vaucanson/contexts/listg/boolean_transducer.hh\
  vaucanson/contexts/bmig/boolean_transducer.hh\
  vaucanson/boolean_transducer_structures.hh\
  vaucanson/contexts/listg/boolean_transducer_structures.hh\
  vaucanson/contexts/bmig/boolean_transducer_structures.hh\
  vaucanson/fmp_transducer.hh\
  vaucanson/contexts/listg/fmp_transducer.hh\
  vaucanson/contexts/bmig/fmp_transducer.hh\
  vaucanson/fmp_transducer_structures.hh\
  vaucanson/contexts/listg/fmp_transducer_structures.hh\
  vaucanson/contexts/bmig/fmp_transducer_structures.hh\
  vaucanson/int_boolean_automaton.hh\
  vaucanson/contexts/listg/int_boolean_automaton.hh\
  vaucanson/contexts/bmig/int_boolean_automaton.hh\
  vaucanson/int_boolean_automaton_structures.hh\
  vaucanson/contexts/listg/int_boolean_automaton_structures.hh\
  vaucanson/contexts/bmig/int_boolean_automaton_structures.hh\
  vaucanson/int_boolean_transducer.hh\
  vaucanson/contexts/listg/int_boolean_transducer.hh\
  vaucanson/contexts/bmig/int_boolean_transducer.hh\
  vaucanson/int_boolean_transducer_structures.hh\
  vaucanson/contexts/listg/int_boolean_transducer_structures.hh\
  vaucanson/contexts/bmig/int_boolean_transducer_structures.hh\
  vaucanson/int_fmp_transducer.hh\
  vaucanson/contexts/listg/int_fmp_transducer.hh\
  vaucanson/contexts/bmig/int_fmp_transducer.hh\
  vaucanson/int_fmp_transducer_structures.hh\
  vaucanson/contexts/listg/int_fmp_transducer_structures.hh\
  vaucanson/contexts/bmig/int_fmp_transducer_structures.hh\
  vaucanson/int_z_automaton.hh\
  vaucanson/contexts/listg/int_z_automaton.hh\
  vaucanson/contexts/bmig/int_z_automaton.hh\
  vaucanson/int_z_automaton_structures.hh\
  vaucanson/contexts/listg/int_z_automaton_structures.hh\
  vaucanson/contexts/bmig/int_z_automaton_structures.hh\
  vaucanson/int_z_fmp_transducer.hh\
  vaucanson/contexts/listg/int_z_fmp_transducer.hh\
  vaucanson/contexts/bmig/int_z_fmp_transducer.hh\
  vaucanson/int_z_fmp_transducer_structures.hh\
  vaucanson/contexts/listg/int_z_fmp_transducer_structures.hh\
  vaucanson/contexts/bmig/int_z_fmp_transducer_structures.hh\
  vaucanson/int_z_max_plus_automaton.hh\
  vaucanson/contexts/listg/int_z_max_plus_automaton.hh\
  vaucanson/contexts/bmig/int_z_max_plus_automaton.hh\
  vaucanson/int_z_max_plus_automaton_structures.hh\
  vaucanson/contexts/listg/int_z_max_plus_automaton_structures.hh\
  vaucanson/contexts/bmig/int_z_max_plus_automaton_structures.hh\
  vaucanson/int_z_min_plus_automaton.hh\
  vaucanson/contexts/listg/int_z_min_plus_automaton.hh\
  vaucanson/contexts/bmig/int_z_min_plus_automaton.hh\
  vaucanson/int_z_min_plus_automaton_structures.hh\
  vaucanson/contexts/listg/int_z_min_plus_automaton_structures.hh\
  vaucanson/contexts/bmig/int_z_min_plus_automaton_structures.hh\
  vaucanson/int_z_transducer.hh\
  vaucanson/contexts/listg/int_z_transducer.hh\
  vaucanson/contexts/bmig/int_z_transducer.hh\
  vaucanson/int_z_transducer_structures.hh\
  vaucanson/contexts/listg/int_z_transducer_structures.hh\
  vaucanson/contexts/bmig/int_z_transducer_structures.hh\
  vaucanson/r_automaton.hh\
  vaucanson/contexts/listg/r_automaton.hh\
  vaucanson/contexts/bmig/r_automaton.hh\
  vaucanson/r_automaton_structures.hh\
  vaucanson/contexts/listg/r_automaton_structures.hh\
  vaucanson/contexts/bmig/r_automaton_structures.hh\
  vaucanson/z_automaton.hh\
  vaucanson/contexts/listg/z_automaton.hh\
  vaucanson/contexts/bmig/z_automaton.hh\
  vaucanson/z_automaton_structures.hh\
  vaucanson/contexts/listg/z_automaton_structures.hh\
  vaucanson/contexts/bmig/z_automaton_structures.hh\
  vaucanson/z_fmp_transducer.hh\
  vaucanson/contexts/listg/z_fmp_transducer.hh\
  vaucanson/contexts/bmig/z_fmp_transducer.hh\
  vaucanson/z_fmp_transducer_structures.hh\
  vaucanson/contexts/listg/z_fmp_transducer_structures.hh\
  vaucanson/contexts/bmig/z_fmp_transducer_structures.hh\
  vaucanson/z_max_plus_automaton.hh\
  vaucanson/contexts/listg/z_max_plus_automaton.hh\
  vaucanson/contexts/bmig/z_max_plus_automaton.hh\
  vaucanson/z_max_plus_automaton_structures.hh\
  vaucanson/contexts/listg/z_max_plus_automaton_structures.hh\
  vaucanson/contexts/bmig/z_max_plus_automaton_structures.hh\
  vaucanson/z_min_plus_automaton.hh\
  vaucanson/contexts/listg/z_min_plus_automaton.hh\
  vaucanson/contexts/bmig/z_min_plus_automaton.hh\
  vaucanson/z_min_plus_automaton_structures.hh\
  vaucanson/contexts/listg/z_min_plus_automaton_structures.hh\
  vaucanson/contexts/bmig/z_min_plus_automaton_structures.hh\
  vaucanson/z_transducer.hh\
  vaucanson/contexts/listg/z_transducer.hh\
  vaucanson/contexts/bmig/z_transducer.hh\
  vaucanson/z_transducer_structures.hh\
  vaucanson/contexts/listg/z_transducer_structures.hh\
  vaucanson/contexts/bmig/z_transducer_structures.hh
nobase_include_HEADERS += $(GENERIC_CONTEXTS)
MAINTAINERCLEANFILES = $(GENERIC_CONTEXTS)
