
%include vaucanswig_algo_common.i
%{
#include <vaucanson/algorithms/sum.hh>
%}
%define alg_sum_interface(Automaton, GenAutomaton, Series, Exp, HList, Word)
static void sum_here(Automaton& a1, const Automaton& a2) ;
static void sum_here(GenAutomaton& a1, const GenAutomaton& a2) ;
static Automaton sum(const Automaton& a1, const Automaton& a2) ;
static GenAutomaton sum(const GenAutomaton& a1, const GenAutomaton& a2) ;
%enddef
%define alg_sum_interface_impl(Automaton, GenAutomaton, Series, Exp, HList, Word)
static  void sum_here(Automaton& a1, const Automaton& a2) { return vcsn::sum_here(*a1, *a2); }
static  void sum_here(GenAutomaton& a1, const GenAutomaton& a2) { return vcsn::sum_here(*a1, *a2); }
static  Automaton sum(const Automaton& a1, const Automaton& a2) { return vcsn::sum(*a1, *a2); }
static  GenAutomaton sum(const GenAutomaton& a1, const GenAutomaton& a2) { return vcsn::sum(*a1, *a2); }
%enddef
%define alg_interface_sum(Kind)
%{
struct Kind ##_alg_sum {
alg_sum_interface(Kind ##_types::Kind ##_auto_t, \
			Kind ##_types::gen_## Kind ##_auto_t, \
			Kind ##_types::Kind ##_series_set_elt_t, \
			Kind ##_types::Kind ##_exp_t, \
			std::list<int>, \
			std::basic_string<Kind ##_types::Kind ##_letter_t>)
};
%}
%enddef
%define decl_alg_sum(Kind)
algo_common_decls(Kind)
%{
struct Kind ##_alg_sum {
alg_sum_interface_impl(Kind ##_types::Kind ##_auto_t, \
			Kind ##_types::gen_## Kind ##_auto_t, \
			Kind ##_types::Kind ##_series_set_elt_t, \
			Kind ##_types::Kind ##_exp_t, \
			std::list<int>, \
			std::basic_string<Kind ##_types::Kind ##_letter_t>)
};
%}
struct Kind ##_alg_sum {
alg_sum_interface(Kind ##_types::Kind ##_auto_t, \
			Kind ##_types::gen_## Kind ##_auto_t, \
			Kind ##_types::Kind ##_series_set_elt_t, \
			Kind ##_types::Kind ##_exp_t,
			std::list<int>,
			std::basic_string<Kind ##_types::Kind ##_letter_t>)
};
%enddef
